petsc-3.4.2 2013-07-02

# MatSchurComplementSetKSP

Sets the KSP object that is used to invert A in the Schur complement matrix S = C A^{-1} B

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatSchurComplementSetKSP(Mat A, KSP ksp)

Not Collective

### Input Parameters

| A | - matrix created with MatCreateSchurComplement()
| ksp | - the linear solver object

### Developer Notes

There is likely no use case for this function.

### See Also

MatSchurComplementGetKSP(), MatCreateSchurComplement(), MatCreateNormal(), MatMult(), MatCreate(), MATSCHURCOMPLEMENT

Level:developer
Location:src/ksp/ksp/utils/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages